Package net.shibboleth.idp.authn.context

# Class KerberosTicketContext

java.lang.Object
org.opensaml.messaging.context.BaseContext
net.shibboleth.idp.authn.context.KerberosTicketContext

All Implemented Interfaces:
  `Iterable<BaseContext>`

public final class KerberosTicketContext extends BaseContext
Context that carries a `KerberosTicket` to be validated.

Parent:
  `AuthenticationContext`

## Nested Class Summary

## Nested classes/interfaces inherited from class org.opensaml.messaging.context.BaseContext

`BaseContext.ContextSetNoRemoveIteratorDecorator, BaseContext.DeprecatedContextClassNameLookAside`

## Field Summary

Fields
Modifier and Type
Field
Description
`private KerberosTicket`
`ticket`
Kerberos ticket to be validated.

## Constructor Summary

Constructors
Constructor
Description
`KerberosTicketContext()`

## Method Summary

Modifier and Type
Method
Description
`KerberosTicket`
`getTicket()`
Get the Kerberos ticket to be validated.
`KerberosTicketContext`
`setTicket(KerberosTicket kerbTicket)`
Set the Kerberos ticket to be validated.

### Methods inherited from class org.opensaml.messaging.context.BaseContext

`addSubcontext, addSubcontext, clearSubcontexts, containsSubcontext, createSubcontext, ensureSubcontext, ensureSubcontext, getParent, getSubcontext, getSubcontext, getSubcontext, getSubcontext, iterator, removeFromParent, removeSubcontext, removeSubcontext, setParent`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

## Field Details

### ticket

@Nullable private KerberosTicket ticket
Kerberos ticket to be validated.

## Constructor Details

### KerberosTicketContext

public KerberosTicketContext()

## Method Details

### getTicket

@Nullable public KerberosTicket getTicket()
Get the Kerberos ticket to be validated.

Returns:
  Kerberos ticket to be validated

### setTicket

@Nonnull public KerberosTicketContext setTicket(@Nullable KerberosTicket kerbTicket)
Set the Kerberos ticket to be validated.

Parameters:
  `kerbTicket` - the Kerberos ticket to be validated
Returns:
  this context